GRUB-INSTALL(8)

BEZEICHNUNG
grub-install - GRUB auf einem Gerät installieren

ÜBERSICHT
grub-install [OPTION …] [OPTION] [INSTALLATIONSGERÄT]

BESCHREIBUNG
Installiert GRUB auf Ihrem Laufwerk.

--appended-signature-size=GRÖSSE
    fügt einen Notizbereich hinzu, der die angegebene GRÖSSE an Bytes für die angehängte Signatur reserviert.

--compress=no|xz|gz|lzo
    komprimiert GRUB-Dateien (optional).

--disable-cli
    deaktiviert den Befehlzeilenschnittstellenzugriff.

--disable-shim-lock
    deaktiviert die shim_lock-Überprüfung.

--dtb=DATEI
    bettet eine spezifische DTB ein.

-d, --directory=VERZEICHNIS
    verwendet Abbilder und Module im angegebenen VERZEICHNIS (Vorgabe ist /usr/lib/grub/<Plattform>).

--fonts=SCHRIFTEN
    installiert die angegebenen SCHRIFTEN (Vorgabe=unicode).

--install-modules=MODULE
    installiert nur die angegebenen MODULE und deren Abhängigkeiten (Vorgabe=alle).

-k, --pubkey=DATEI
    bettet die angegebene DATEI als öffentlichen Schlüssel für die Überprüfung der Signatur ein.

--locale-directory=VERZEICHNIS verwendet die Übersetzungen im angegebenen Verzeichnis.
    [Vorgabe=/usr/share/locale]

--locales=LOCALES
    installiert nur die angegebenen LOCALES (Vorgabe=alle).

--modules=MODULE
    lädt die angegebenen MODULE vor.

--sbat=DATEI
    SBAT-Metadaten

--themes=THEMEN
    installiert die angegebenen THEMEN (Vorgabe=starfield).

-v, --verbose
    gibt ausführliche Meldungen aus.

-x, --x509key=DATEI
    bettet die angegebene DATEI als x509-Zertifikat für die Überprüfung der angehängten Signatur ein.

--allow-floppy
    macht das Laufwerk auch als Diskette startfähig (Vorgabe für fdX-Geräte). Dies kann auf einigen BIOS fehlschlagen.

--boot-directory=VERZEICHNIS
    installiert GRUB-Abbilder im Verzeichnis VERZEICHNIS/grub anstelle des Verzeichnisses boot/grub.

--bootloader-id=KENNUNG
    gibt die Kennung des Bootloaders an. Diese Option ist nur für EFI und Mac verfügbar.

--core-compress=xz|none|auto
    wählt die für das Speicherkern-Abbild zu verwendende Kompression.

--disk-module=MODUL
    gibt das zu verwendende Platten-Modul an (biosdisk oder native). Diese Option ist nur für das BIOS-Ziel verfügbar.

--efi-directory=VERZEICHNIS
    verwendet das angegebene VERZEICHNIS als EFI-Systempartitionswurzel.

--force
    installiert selbst dann, wenn Probleme erkannt werden.

--force-extra-removable
    erzwingt auch die Installation auf den Pfad des Wechseldatenträgers. Diese Option ist nur für EFI verfügbar.

--force-file-id
    verwendet die Bezeichner-Datei selbst dann, wenn die UUID verfügbar ist.

--label-bgcolor=FARBE
    verwendet die angegebene FARBE für den Hintergrund des Bezeichners.

--label-color=FARBE
    verwendet die angegebene FARBE für den Bezeichner.

--label-font=DATEI
    verwendet die angegebene DATEI als Schrift für den Bezeichner.

--macppc-directory=VERZEICHNIS verwendet das angegebene VERZEICHNIS für eine PPC-MAC-Installation.

--no-bootsector
    installiert keinen Bootsektor.

--no-nvram
    aktualisiert die NVRAM-Variablen »Boot-Gerät« bzw. »Boot*« nicht. Diese Option ist nur für EFI- und IEEE1275-Ziele verfügbar.

--no-rs-codes
    wendet beim Einbetten von core.img keinerlei Reed-Solomon-Codes an. Diese Option ist nur für BIOS-Ziele auf x86-Architekturen verfügbar.

--no-uefi-secure-boot
    installiert kein Abbild, das mit UEFI-Secure-Boot verwendbar ist, selbst wenn das System unter Verwendung eines solchen gestartet wurde. Diese Option ist nur für EFI verfügbar.

--product-version=ZEICHENKETTE
    verwendet die angegebene ZEICHENKETTE als Produktversion.

--recheck
    löscht die Gerätezuordnung, falls diese bereits existiert.

--removable
    gibt an, dass das Installationsgerät ein Wechseldatenträger ist. Diese Option ist nur für EFI verfügbar.

-s, --skip-fs-probe
    prüft im angegebenen GERÄT nicht auf Dateisysteme.

--target=ZIEL
    installiert GRUB für das angegebene ZIEL [Vorgabe=i386-pc]. Folgende Ziele sind verfügbar: arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

--uefi-secure-boot
    installiert ein Abbild, das mit UEFI-Secure-Boot verwendbar ist. Diese Option ist nur für EFI und wenn das Paket grub-efi-amd64-signed installiert ist verfügbar.

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

Als INSTALLATIONSGERÄT muss der Dateiname eines Systemgeräts angegeben werden. grub-install kopiert GRUB-Abbilder nach boot/grub. Auf einigen Plattformen könnte GRUB auch in den Bootsektor installiert werden.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-grub@gnu.org.

SIEHE AUCH
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

Die vollständige Dokumentation für grub-install wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-install auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-install

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).